package com.company.dctwo.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.JmixEntity;
import jakarta.persistence.*;
import jakarta.validation.constraints.NotNull;

import java.util.Date;
import java.util.UUID;

@JmixEntity
@Table(name = "CONTACT", indexes = {
		@Index(name = "IDX_CONTACT_ADRES", columnList = "ADRES_ID")
})
@Entity
public class Contact {
	@JmixGeneratedValue
	@Column(name = "ID", nullable = false)
	@Id
	private UUID id;

	@Temporal(TemporalType.DATE)
	@Column(name = "DATE_")
	private Date date;

	@JoinColumn(name = "ADRES_ID", nullable = false)
	@NotNull
	@ManyToOne(fetch = FetchType.LAZY, optional = false)
	private Address adres;

	public Address getAdres() {
		return adres;
	}

	public void setAdres(Address adres) {
		this.adres = adres;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public UUID getId() {
		return id;
	}

	public void setId(UUID id) {
		this.id = id;
	}

}